Skip to main content
GET
/
projects
/
{project_id}
/
events
/
correlation
/
{correlation_id}
List canonical events sharing a correlation_id.
curl --request GET \
  --url https://api.ilyama.golain.io/core/api/v1/projects/{project_id}/events/correlation/{correlation_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'ORG-ID: <api-key>'
{
  "data": [
    {
      "action": "<string>",
      "domain": "<string>",
      "entity": "<string>",
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "occurred_at": "2023-11-07T05:31:56Z",
      "org_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "correlation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "device_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "fleet_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "payload": {},
      "source_service": "<string>",
      "span_id": "<string>",
      "trace_id": "<string>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.ilyama.golain.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

ORG-ID
string
header
required

Path Parameters

project_id
string<uuid>
required
correlation_id
string<uuid>
required

Response

Correlated events list

data
object[]
required
ok
enum<integer>
required
Available options:
1